<bugID>1300755<Summary>Notification anchors are not hidden when the user types in the location bar</Summary><Description>Created attachment 8788429
Example

See the appended GIF. All other icons are hidden, but the notification anchor stays. Not sure if we want this.</Description></bugID>